![WorkBase logo](/public/assets/workbase-v.png)

WorkBase is an open source, private cloud message service.  
It's based on email protocol which means it can connect anyone with an email address.

[![Project Dependencies](https://david-dm.org/wanglian/workbase-server.svg)](https://david-dm.org/wanglian/workbase-server)
[![CircleCI](https://circleci.com/gh/wanglian/workbase-server.svg?style=svg)](https://circleci.com/gh/wanglian/workbase-server)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/47a8010c9ee64655b3fbc1673981b236)](https://app.codacy.com/app/wanglian/workbase-server?utm_source=github.com&utm_medium=referral&utm_content=wanglian/workbase-server&utm_campaign=Badge_Grade_Dashboard)
[![Maintainability](https://api.codeclimate.com/v1/badges/3cab8d81530e76baa699/maintainability)](https://codeclimate.com/github/wanglian/workbase-server/maintainability)
[![GPL 3.0 License](https://img.shields.io/badge/license-GPL--3.0-blue.svg)](./LICENSE)

* [Install](./docs/install.md)
* [Install - 中文](./docs/install-zh-CN.md)
* [Developer](./docs/develop.md)

[![Get it from the Snap Store](https://snapcraft.io/static/images/badges/en/snap-store-black.svg)](https://snapcraft.io/workbase-server)

## Mobile App ##

[![Install from App Store](https://user-images.githubusercontent.com/551004/29770691-a2082ff4-8bc6-11e7-89a6-964cd405ea8e.png)](https://itunes.apple.com/app/workbase/id1447713624)

## Bring your own server ##

You'll have the following features and even more
* Emails
* Chats
* Groups
* Channels
* Mobile App

## Why WorkBase ##

Source: [COI - Chat Over IMAP](https://www.coi-dev.org/)

Most popular messaging services are currently proprietary, closed and operated by single providers. This leads to several problems:

### Privacy ###
The provider knows all about your social network: when you communicate with whom, the frequency of your communication and the number, type and length of your messages – even with end to end encryption in place.

### Unfair competition ###
Service providers depend on the rules set by the messaging owner and access to the API for participation. If the messaging provider changes the rules or API, you are out of luck and must adapt fast.

### Lock in ###
Users cannot simply change to another provider; all their friends and peers are on that popular service. If they want to switch, they would need to convince all their friends to join the new service too. Other side effects are they would lose all their conversation history, if they dare to move away. Also, if you don’t like the new app version? Bad luck, you cannot go anywhere else!

### Silo ###
Each network is closed and the users in that network are isolated. This means restricted movement between silos, no new innovation outside the controlling power, no new players, no resistance to attacks (single source code) and it simply goes against the philosophy of the internet: freedom, innovation and growth around the use of common standards.

### Closed Ecosystem ###
The network is only controlled by a single party, you cannot start hosting your own WhatsApp, WeChat or FB Messenger Service.

### No Choice ###
Some large providers, like Facebook, control many of the popular messaging apps, like WhatsApp and Facebook Messenger making it feel like there is no real choice.
