# WorkBase

WorkBase is an open source, private cloud message service.  
It's based on email protocol which means it can connect anyone with an email address.

## Prerequisites

- [Git](http://git-scm.com/book/en/v2/Getting-Started-Installing-Git)
- [Meteor](https://www.meteor.com/install)
- [GraphicsMagick or ImageMagick](https://github.com/aheckmann/gm)

## Run

```
git clone https://github.com/wanglian/workbase.git
cd workbase
meteor npm install
meteor npm start
```

## Run Tests

```
// unit tests
meteor npm run test
// integration tests
meteor npm run test-app
// acceptance tests
meteor npm run test-e2e
```

## References

- [Meteor](https://docs.meteor.com/)
- [Blaze](http://blazejs.org/api/templates.html)
- [bootstrap](https://getbootstrap.com/docs/3.3/javascript/)
- [FontAwesome](https://fontawesome.com/v4.7.0/icons/)
- [AdminLTE](https://adminlte.io/themes/AdminLTE/documentation/index.html)
- [autoform](https://github.com/aldeed/meteor-autoform)
- [iron-router](http://iron-meteor.github.io/iron-router/)
- [Meteor Files](https://github.com/VeliovGroup/Meteor-Files/wiki)
- [Meteor Template helpers](https://github.com/VeliovGroup/Meteor-Template-helpers/)
- [Meteor Easy Search](http://matteodem.github.io/meteor-easy-search/getting-started/)
- [SubsManager](https://github.com/kadirahq/subs-manager)
- [mailgun](https://documentation.mailgun.com/en/latest/api-routes.html)
- [mailgun-js](https://github.com/bojand/mailgun-js)
- [i18next](https://www.i18next.com/)
- [gm](http://aheckmann.github.io/gm/docs.html)
- [lodash](https://lodash.com/docs/4.17.11)
- [momentjs](https://momentjs.com/docs/)
- [chartjs](https://www.chartjs.org/)
- [w3schools CSS](https://www.w3schools.com/css/default.asp)
- [JavaScript Reference](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference)
- [ES6](http://es6.ruanyifeng.com)
